Ergebnis 1 bis 8 von 8

Thema: Bootstrap Migration 3.5 -> 4.10

  1. #1
    Contao-Nutzer
    Registriert seit
    12.02.2014.
    Beiträge
    175

    Standard Bootstrap Migration 3.5 -> 4.10

    Hallo zusammen,

    ich hab eine 3.5-Installation nach 4.10 migriert. Zumindest versuche ich das. Bootstrap macht nämlich Probleme.
    Ich hatte es sowohl mit dem dem Bootrstap Bundle als auch mit dem Bootstrap Core probiert.

    Ich bekomme beim FE-Aufruf der Seite immer diese Fehlermeldung:

    request.CRITICAL: Uncaught PHP Exception Symfony\Component\ErrorHandler\Error\ClassNotFound Error: "Attempted to load class "Helper" from namespace "Netzmacht\Bootstrap\Navigation". Did you forget a "use" statement for e.g. "Symfony\Component\Templating\Helper\Helper", "Symfony\Component\Console\Helper\Helper" or "Knp\Menu\Twig\Helper"?" at /var/www/vhosts/*****.de/templates/ehs-bootstrap/nav_bootstrap_dropdown.html5 line 1 {"exception":"[object] (Symfony\\Component\\ErrorHandler\\Error\\ClassNot FoundError(code: 0): Attempted to load class "Helper" from namespace "Netzmacht\\Bootstrap\\Navigation".\nDid you forget a "use" statement for e.g. "Symfony\\Component\\Templating\\Helper\\Helpe r", "Symfony\\Component\\Console\\Helper\\Helper" or "Knp\\Menu\\Twig\\Helper"? at /var/www/vhosts/*****.de/templates/ehs-bootstrap/nav_bootstrap_dropdown.html5:1)"} []

    Kann mir jemand helfen?

    Danke und Grüße,
    Misios

  2. #2
    Contao-Nutzer
    Registriert seit
    12.02.2014.
    Beiträge
    175

    Standard

    Keiner eine Idee? Ich drösel es mal auf:

    Im Template "templates/ehs-bootstrap/nav_bootstrap_dropdown.html5"

    Anscheinend wird eine Helper-Funktion nicht gefunden. In dem Template steht als erste Zeile:

    Code:
    \Netzmacht\Bootstrap\Navigation\Helper::create($this, 'dropdown');
    Im BE beim System-Log steht dann noch der rote Eintrag:

    Code:
    Module class "" (module "bootstrap_navbar") does not exist
    Was kann ich tun, außer die Seite ohne Bootstrap nachbauen.

  3. #3
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.871
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Ich würde jetzt erst einmal probieren, das fehlende Modul 'Bootstrap Navbar' zu installieren. Normalerweise kommt das mit dem Bootstrap für Contao Bundle mit.

  4. #4
    Contao-Nutzer
    Registriert seit
    12.02.2014.
    Beiträge
    175

    Standard

    Zitat Zitat von lucina Beitrag anzeigen
    Ich würde jetzt erst einmal probieren, das fehlende Modul 'Bootstrap Navbar' zu installieren. Normalerweise kommt das mit dem Bootstrap für Contao Bundle mit.
    Hab ich versucht. Hat nichts gebracht.
    Ich hab hier mittlerweile alles Mögliche von "Bootstrap" installiert. Kann es sein, dass es hier Interferenzen gibt?
    Was muss ich den installieren. Nur das "Contao Bundle"?

    Wie installiere ich denn das fehlende Modul?

    Nachtrag: Hab alles rausgeworfen und nur das Bundle gelassen und dieses dann auch nochmal aktualisiert. Keine Veränderung. Ich befürchte fast, ich muss alles nachbauen :-(
    Geändert von Misios (27.01.2021 um 12:26 Uhr)

  5. #5
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.871
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Ich kenne Deine Seite nciht, ich weiss nicht was Du da noch alles drin hast. Templates sind alle da?

    Ich benutze immer dieses hier: https://packagist.org/packages/contao-bootstrap/bundle

    Und das bringt das meiste, was man braucht, von Haus aus mit.

    Jedenfalls lässt die Felhlermeldung in #1 darauf schliessen dass Du es nicht komplett hast.

    Es könnte eine gute Idee sein, diesbezüglich mal einen Blick auf Deine composer.json werfen zu können.

  6. #6
    Contao-Nutzer
    Registriert seit
    12.02.2014.
    Beiträge
    175

    Standard

    Das Bundle benutze ich auch. Habe jetzt nochmal deinstalliert und installiert. Immerhin ist die rote Warnmeldung im Backend weg.

    Leider hat sich der Fehlermeldung im var/logs nichts getan. Hier wird immer noch die Helper-Funktion angemeckert.
    BE läuft. FE leider nicht.

    Hier die composer.json:

    Code:
    {
        "type": "project",
        "require": {
            "bugbuster/contao-visitors-bundle": "^1.6",
            "contao-bootstrap/bundle": "^2.1",
            "contao/calendar-bundle": "4.10.*",
            "contao/comments-bundle": "4.10.*",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "4.10.*",
            "contao/listing-bundle": "4.10.*",
            "contao/manager-bundle": "4.10.*",
            "contao/news-bundle": "4.10.*",
            "contao/newsletter-bundle": "4.10.*",
            "craffft/contao-calendar-ical-bundle": "^4.2",
            "do-while/contao-backupdb-bundle": "^1.4",
            "do-while/contao-ce_be_remarks": "^1.1",
            "heimrichhannot/dlh_googlemaps": "^2.3",
            "jrgregory/m17-sticky-backend-footer": "^2.0",
            "kmielke/calendar-extended-bundle": "^1.0",
            "ma3xl3/contao-easy-favicon": "^2.0",
            "martin-kozianka/contao-fullcalendar": "^5.1",
            "netzmacht/contao-font-awesome": "^4.7",
            "netzmacht/contao-font-awesome-inserttag": "^2.0",
            "netzmacht/contao-iconwizard": "^1.2",
            "terminal42/contao-easy_themes": "^2.2",
            "terminal42/contao-leads": "^1.4"
        },
        "extra": {
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }

    Gibt es vllt eine To.Do.Liste, die ich bisher nicht gefunden habe, die sich mit einer Migration Contao 3.5 mit Bootstrap nach Contao 4.9/10 mit Bootstrap beschäftigt?

  7. #7
    Contao-Nutzer Avatar von opcode
    Registriert seit
    19.01.2011.
    Ort
    Berlin
    Beiträge
    68

    Standard

    Hallo Misios, konntest Du die Bootstrap-Migration noch korrekt fertigstellen?
    Da es ja bis heute keinen Migrationsassistenten gibt, würde mich mal interessieren wie Du mit den alten Tabellen aus Version 1 verfahren bist.

  8. #8
    Contao-Nutzer
    Registriert seit
    12.02.2014.
    Beiträge
    175

    Standard

    Zitat Zitat von opcode Beitrag anzeigen
    Hallo Misios, konntest Du die Bootstrap-Migration noch korrekt fertigstellen?
    Da es ja bis heute keinen Migrationsassistenten gibt, würde mich mal interessieren wie Du mit den alten Tabellen aus Version 1 verfahren bist.
    Ich habe Bootstrap einfach entfernt.

    Im Backend lief ja alles auf Contao 4.9. Hab dann erstmal die Templates entfernt bzw. durch interne Templates ersetzt, die im Error-Log angemeckert wurden, so dass im Frontend zumindest was angezeigt wurde. Anschließend parallele Bootstrap-freies Seitenlayouts erstellt und die Seite "nachgebaut".

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •